CVE-2011-1657

Priority
Description
The (1) ZipArchive::addGlob and (2) ZipArchive::addPattern functions in
ext/zip/php_zip.c in PHP 5.3.6 allow context-dependent attackers to cause a
denial of service (application crash) via certain flags arguments, as
demonstrated by (a) GLOB_ALTDIRFUNC and (b) GLOB_APPEND.
Assigned-to
sbeattie
Notes
sbeattie5.3 only, php 5.2.x does not support glob patterns
Package
Source: php5 (LP Ubuntu Debian)
Upstream:released (5.3.8-1)
Patches:
Upstream:http://svn.php.net/viewvc/?view=revision&revision=310814
More Information

Updated: 2020-03-18 22:06:07 UTC (commit 2ea7df7bd1e69e1e489978d2724a936eb3faa1b8)